%LQR-controller combined with integral controller

%choose the Q-matrix
Q = [ 1 0 0 0; 
      0 1 0 0;
      0 0 0 0;
      0 0 0 0]
  
Q_i = 1e-3*diag([1 5]);  
  
%choose the R-matrix (R:dim of input-vector)
R = [0.5 0;
    0 0.5]

A_int = [zeros(2,2), -C; zeros(4, 2), A];
B_int = [zeros(2,2); B];
Q_int = blkdiag(Q_i, Q);
R_int = R;

%calculation of the controller
K_int = lqr(A_int, B_int, Q_int, R_int)

K_int_i = K_int(:, 1:2)
K_int_inner = K_int(:, 3:end)

%built target 
%TargetBuild('lqr_int_model')
