% gamma1 and gamma2 calculated by flow_ratios2.m

% calculate T3 and T4 using the other files

Ts = 0.02; %arduino control loop time (make sure it's identical

s = tf('s');

%continuous time tf
cont_from2_to1 = (gamma2-1)/((T3*gamma1)*s + gamma1);
cont_from1_to2 = (gamma1-1)/((T4*gamma2)*s + gamma2);

%discrete time tf
disc_from2_to1 = c2d(cont_from2_to1,Ts);
disc_from1_to2 = c2d(cont_from1_to2,Ts);

%display parameters
[num1,den1] = tfdata(disc_from2_to1,'v');
alpha1 = num1(2)
beta1 = den1(2)

[num2,den2] = tfdata(disc_from1_to2,'v');
alpha2 = num2(2)
beta2 = den2(2)